jQuery.sap.require("computec.appengine.plugin.PluginRouter");

sap.ui.define([
	"computec/appengine/ui/core/UIComponent"
], function (UIComponent) {
	"use strict";

	return UIComponent.extend("computec.appengine.pdc.Component", {

		metadata: {
			manifest: "json"
		},

		init: function () {
			let self = this;
			UIComponent.prototype.onInit.call(self);
			UIComponent.prototype.init.apply(this, arguments);

			this.getRouter().initialize();
		},

		destroy: function () {}
	});
});